<?xml version='1.0'?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:as="http://www.oasis-open.org/committees/cam">

<xsl:param name="path"/>

<xsl:template match="/">
	<xsl:variable name="ns">
		<namespaces>
		<xsl:apply-templates mode="expand"/>
		</namespaces>
	</xsl:variable>
	<xsl:apply-templates mode="full">
		<xsl:with-param name="ns" select="$ns"/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match="as:CAM" mode="full">
	<xsl:param name="ns"/>
	<xsl:copy>
		<xsl:copy-of select=".//namespace::*"/>
		<xsl:copy-of select="$ns//namespace::*"/>
		<xsl:copy-of select="@*"/>
		<xsl:copy-of select="*"/>
	</xsl:copy>
</xsl:template>


<xsl:template match="as:CAM" mode="expand">
<xsl:copy-of select=".//namespace::*"/>
<xsl:apply-templates select="//as:include" mode="expand"/>
</xsl:template>


<xsl:template match="as:include" mode="expand">
<xsl:message >include:<xsl:value-of select="."/></xsl:message>
		<xsl:copy-of select="document(concat('file://',$path,.))//namespace::*"/>
	<xsl:apply-templates select="document(concat('file://',$path,.))//as:include" mode="expand"/>
</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2007. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\..\..\..\..\..\drrw\EM210\EML210-nomination.cam" htmlbaseurl="" outputurl="" processortype="saxon8" useresolver="yes" profilemode="0" profiledepth=""
		          profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal"
		          customvalidator="">
			<parameterValue name="path" value="'file:///d:/drrw/EM210/'"/>
			<advancedProp name="sInitialMode" value=""/>
			<advancedProp name="bSchemaAware" value="false"/>
			<advancedProp name="bXsltOneIsOkay" value="true"/>
			<advancedProp name="bXml11" value="false"/>
			<advancedProp name="iValidation" value="0"/>
			<advancedProp name="bExtensions" value="true"/>
			<advancedProp name="iWhitespace" value="0"/>
			<advancedProp name="sInitialTemplate" value=""/>
			<advancedProp name="bTinyTree" value="true"/>
			<advancedProp name="bUseDTD" value="false"/>
			<advancedProp name="bWarnings" value="true"/>
			<advancedProp name="iErrorHandling" value="0"/>
		</scenario>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
-->